;(function () {
  'use strict'

  const logo = document.getElementById('logo')

  function getCookie (name) {
    const cookies = document.cookie.split(';')
    for (let i = 0; i < cookies.length; i++) {
      const cookie = cookies[i].trim()
      if (cookie.startsWith(name + '=')) {
        return cookie.substring(name.length + 1)
      }
    }
    return null
  }

  document.addEventListener('DOMContentLoaded', function () {
    const jsessionid = getCookie('JSESSIONID')

    if (jsessionid) {
      // JSESSIONID 쿠키 값이 있을 경우 추가할 a 태그 생성
      const newLink = document.createElement('a')
      newLink.className = 'navbar-item'
      newLink.href = 'https://swlab.bwg.co.kr/web/docs/bxm/swlab-docs-bxm-s/current/concepts/overview.html'
      newLink.textContent = 'BXM Concepts Overview'

      // 기존 BXM 링크 바로 아래에 삽입
      const bxmLink = document.querySelector(
        '.navbar-dropdown .navbar-item[href="https://swlab.bwg.co.kr/web/docs/bxm/swlab-docs-bxm/current/index.html"]'
      )
      if (bxmLink) {
        bxmLink.insertAdjacentElement('afterend', newLink)
      }
    }

    // logo 클릭 이벤트
    logo.addEventListener('click', function (event) {
      if (jsessionid) {
        // JSESSIONID 쿠키 값이 있을 경우
        window.location.href = 'https://swlab.bwg.co.kr/web/dms/home'
      } else {
        // JSESSIONID 쿠키 값이 없을 경우
        window.location.href = 'https://swlab.bwg.co.kr/web/main/'
      }
    })
  })
})()
